class NonNullString( str ):
	def __new__( cls, value ):
		if not str(value):
			raise ValueError( """Null string %r specified for a """%( str(value)) )
		else:
			return super(NonNullString,cls).__new__(cls,value)
	def __repr__( self ):
		return '%s(%r)'%(self.__class__.__name__, str(self))

if __name__ == "__main__":
	N = NonNullString( 'this' )
	print repr(N)
	try:
		NonNullString( '' )
	except ValueError:
		pass
	else:
		raise RuntimeError( """Expected ValueError""")
	