class Descriptor( object ):
	"""A simple descriptor"""
	
	def __get__( self, client, cls ):
		"""Retrieve/calculate the value for client instance"""
		print '__get__', client, cls
		if client is not None:
			return client.__dict__[ 'hello' ]
		else:
			return self

	def __set__( self, client, value ):
		"""Set the value on the client instance"""
		print '__set__', client, value
		client.__dict__[ 'hello' ] = value

	def __delete__( self, client ):
		"""Delete the value from the client instance"""
		print '__delete__', client
		del client.__dict__[ 'hello' ]

