import types

class Function( types.FunctionType ):
	"""Mockup of what a function descriptor looks like"""
	def __get__( self, client, cls ):
		"""Retrieve/calculate the value for client instance"""
		if client is not None:
			return types.MethodType( self, client, cls )
		else:
			return types.UnboundMethodType(self, None, cls)
