"""Demonstrate wrapping of a slot descriptor"""

class slotted( object ):
	__slots__ = ('x','y','z')

class MySlotted( object ):
	def __init__( self, base ):
		self.base = base
	def __get__( self, client, cls ):
		"""Get the given item"""
		print 'get', client, cls
		if client is None:
			return self.base.__get__( client, cls )
		return 'a:'+ self.base.__get__( client, cls )
	def __set__( self, client, value ):
		"""Get the given item"""
		return self.base.__set__( client, value )
	
	
slotted.z = MySlotted( slotted.z )

print slotted.x, slotted.y, slotted.z

x1 = slotted()
x1.x = 'this'
x1.z = 'that'
print x1.z

